<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::dcfDelegate Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.7.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html">dcfDelegate</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::dcfDelegate Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1dcf_delegate_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate_1_1test.html">test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">DCFDelegate</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a2604336776b10c40310fc2d9ba452c10"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a2604336776b10c40310fc2d9ba452c10">TAG</a> (&quot;DCFDelegate&quot;)</td></tr>
<tr class="memdesc:a2604336776b10c40310fc2d9ba452c10"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a2604336776b10c40310fc2d9ba452c10">More...</a><br /></td></tr>
<tr class="separator:a2604336776b10c40310fc2d9ba452c10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89f09df38ecdb71cff8e886803377775"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a89f09df38ecdb71cff8e886803377775">getCapabilityKey</a> (const std::unordered_map&lt; std::string, std::string &gt; &amp;capabilityMap)</td></tr>
<tr class="separator:a89f09df38ecdb71cff8e886803377775"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ae72ef3b5919588e7147a82c50730f5"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a8ae72ef3b5919588e7147a82c50730f5">capabilityMapFormCheckHelper</a> (const std::unordered_map&lt; std::string, std::string &gt; &amp;capabilityMap, const std::string &amp;findKey, const std::string &amp;errorEvent, const std::string &amp;errorReasonKey, const std::string &amp;errorReasonValue)</td></tr>
<tr class="separator:a8ae72ef3b5919588e7147a82c50730f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a382c48a2861181b42ce4d400ec233cc1"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a382c48a2861181b42ce4d400ec233cc1">isCapabilityMapCorrectlyFormed</a> (const std::unordered_map&lt; std::string, std::string &gt; &amp;capabilityMap)</td></tr>
<tr class="separator:a382c48a2861181b42ce4d400ec233cc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56188a2bf538bcedc421e9cf61b3b1de"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a56188a2bf538bcedc421e9cf61b3b1de">getErrorMsgFromHttpResponse</a> (const std::string &amp;httpResponse)</td></tr>
<tr class="separator:a56188a2bf538bcedc421e9cf61b3b1de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6700f4b689e6b36f64f9b9fa330885c0"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a6700f4b689e6b36f64f9b9fa330885c0">getCapabilityInfoStringFromJson</a> (const rapidjson::Value &amp;capabilityJson, const std::string &amp;jsonMemberKey)</td></tr>
<tr class="separator:a6700f4b689e6b36f64f9b9fa330885c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa623a98f840ac0e490a3718bee827fcb"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#aa623a98f840ac0e490a3718bee827fcb">logFailedSaveAndClearDCFPublishTable</a> (const std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html">MiscStorageInterface</a> &gt; &amp;miscStorage)</td></tr>
<tr class="separator:aa623a98f840ac0e490a3718bee827fcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a4f686857fab05930f9cb3c69184767b6"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a4f686857fab05930f9cb3c69184767b6">CONFIG_KEY_DCF_DELEGATE</a> = &quot;dcfDelegate&quot;</td></tr>
<tr class="memdesc:a4f686857fab05930f9cb3c69184767b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of <code>ConfigurationNode</code> for <a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">DCFDelegate</a>.  <a href="#a4f686857fab05930f9cb3c69184767b6">More...</a><br /></td></tr>
<tr class="separator:a4f686857fab05930f9cb3c69184767b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a469112c8973cee65d54e880e165d8df3"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a469112c8973cee65d54e880e165d8df3">CONFIG_KEY_OVERRIDE_DCF_REQUEST_BODY</a> = &quot;overridenDcfPublishMessageBody&quot;</td></tr>
<tr class="memdesc:a469112c8973cee65d54e880e165d8df3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of overridenDcfPublishMessageBody value in <a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">DCFDelegate</a>'s <code>ConfigurationNode</code>.  <a href="#a469112c8973cee65d54e880e165d8df3">More...</a><br /></td></tr>
<tr class="separator:a469112c8973cee65d54e880e165d8df3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a213ed6482aac1444fab52837c9cb48d3"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a213ed6482aac1444fab52837c9cb48d3">CONFIG_KEY_DCF_ENDPOINT</a> = &quot;endpoint&quot;</td></tr>
<tr class="memdesc:a213ed6482aac1444fab52837c9cb48d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of endpoint value in <a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">DCFDelegate</a>'s <code>ConfigurationNode</code>.  <a href="#a213ed6482aac1444fab52837c9cb48d3">More...</a><br /></td></tr>
<tr class="separator:a213ed6482aac1444fab52837c9cb48d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90442f943c187b55d3b0c294db60972d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a90442f943c187b55d3b0c294db60972d">DEFAULT_DCF_ENDPOINT</a> = &quot;https://api.amazonalexa.com&quot;</td></tr>
<tr class="separator:a90442f943c187b55d3b0c294db60972d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d6aec09580429c18b627cfca7091dba"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a2d6aec09580429c18b627cfca7091dba">DCF_URL_PRE_DEVICE_SUFFIX</a> = &quot;/v1/devices/&quot;</td></tr>
<tr class="memdesc:a2d6aec09580429c18b627cfca7091dba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Suffix before the device's place in the URL.  <a href="#a2d6aec09580429c18b627cfca7091dba">More...</a><br /></td></tr>
<tr class="separator:a2d6aec09580429c18b627cfca7091dba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ee1e0aee4b08dbde8041385e7127458"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a8ee1e0aee4b08dbde8041385e7127458">DCF_URL_POST_DEVICE_SUFFIX</a> = &quot;/capabilities&quot;</td></tr>
<tr class="memdesc:a8ee1e0aee4b08dbde8041385e7127458"><td class="mdescLeft">&#160;</td><td class="mdescRight">Suffix after the device's place in the URL.  <a href="#a8ee1e0aee4b08dbde8041385e7127458">More...</a><br /></td></tr>
<tr class="separator:a8ee1e0aee4b08dbde8041385e7127458"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b159e580ff5e97ea30aae0f73e749d2"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a5b159e580ff5e97ea30aae0f73e749d2">SELF_DEVICE</a> = &quot;@self&quot;</td></tr>
<tr class="memdesc:a5b159e580ff5e97ea30aae0f73e749d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Device ID for the device that will show up in the URL.  <a href="#a5b159e580ff5e97ea30aae0f73e749d2">More...</a><br /></td></tr>
<tr class="separator:a5b159e580ff5e97ea30aae0f73e749d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a627156679d13fee6ea2af70105a7a46b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a627156679d13fee6ea2af70105a7a46b">CONTENT_TYPE_HEADER_KEY</a> = &quot;Content-Type&quot;</td></tr>
<tr class="separator:a627156679d13fee6ea2af70105a7a46b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd099d2a444c98d02cc57ffde763a161"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#afd099d2a444c98d02cc57ffde763a161">CONTENT_TYPE_HEADER_VALUE</a> = &quot;application/json&quot;</td></tr>
<tr class="memdesc:afd099d2a444c98d02cc57ffde763a161"><td class="mdescLeft">&#160;</td><td class="mdescRight">Content type header value.  <a href="#afd099d2a444c98d02cc57ffde763a161">More...</a><br /></td></tr>
<tr class="separator:afd099d2a444c98d02cc57ffde763a161"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9387bdfa4127f0d4953bc853eca4769f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a9387bdfa4127f0d4953bc853eca4769f">CONTENT_LENGTH_HEADER_KEY</a> = &quot;Content-Length&quot;</td></tr>
<tr class="memdesc:a9387bdfa4127f0d4953bc853eca4769f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Content length header key.  <a href="#a9387bdfa4127f0d4953bc853eca4769f">More...</a><br /></td></tr>
<tr class="separator:a9387bdfa4127f0d4953bc853eca4769f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a513af2722ad0475e8ab0dd9357fa467b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a513af2722ad0475e8ab0dd9357fa467b">AUTHORIZATION_HEADER_KEY</a> = &quot;x-amz-access-token&quot;</td></tr>
<tr class="memdesc:a513af2722ad0475e8ab0dd9357fa467b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Auth token header key.  <a href="#a513af2722ad0475e8ab0dd9357fa467b">More...</a><br /></td></tr>
<tr class="separator:a513af2722ad0475e8ab0dd9357fa467b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad34ed1f97c91f2dd205592f11c12005d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#ad34ed1f97c91f2dd205592f11c12005d">ACCEPT_HEADER_KEY</a> = &quot;Accept&quot;</td></tr>
<tr class="memdesc:ad34ed1f97c91f2dd205592f11c12005d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Accept header key.  <a href="#ad34ed1f97c91f2dd205592f11c12005d">More...</a><br /></td></tr>
<tr class="separator:ad34ed1f97c91f2dd205592f11c12005d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a2d474e0510876a493637087ca6421d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a3a2d474e0510876a493637087ca6421d">EXPECT_HEADER_KEY</a> = &quot;Expect&quot;</td></tr>
<tr class="memdesc:a3a2d474e0510876a493637087ca6421d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expect header key.  <a href="#a3a2d474e0510876a493637087ca6421d">More...</a><br /></td></tr>
<tr class="separator:a3a2d474e0510876a493637087ca6421d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4a15b7df3c85809241499043ebc4111"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#ae4a15b7df3c85809241499043ebc4111">ENVELOPE_VERSION_KEY</a> = &quot;envelopeVersion&quot;</td></tr>
<tr class="memdesc:ae4a15b7df3c85809241499043ebc4111"><td class="mdescLeft">&#160;</td><td class="mdescRight">Envelope version key in message body.  <a href="#ae4a15b7df3c85809241499043ebc4111">More...</a><br /></td></tr>
<tr class="separator:ae4a15b7df3c85809241499043ebc4111"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a043a7cf7bcbfd108feac60b196801a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a9a043a7cf7bcbfd108feac60b196801a">ENVELOPE_VERSION_VALUE</a> = &quot;20160207&quot;</td></tr>
<tr class="memdesc:a9a043a7cf7bcbfd108feac60b196801a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Envelope version value in message body.  <a href="#a9a043a7cf7bcbfd108feac60b196801a">More...</a><br /></td></tr>
<tr class="separator:a9a043a7cf7bcbfd108feac60b196801a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56dddc40007686c17d42b5457a029a8b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a56dddc40007686c17d42b5457a029a8b">CAPABILITIES_KEY</a> = &quot;capabilities&quot;</td></tr>
<tr class="memdesc:a56dddc40007686c17d42b5457a029a8b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Capabilities key in message body.  <a href="#a56dddc40007686c17d42b5457a029a8b">More...</a><br /></td></tr>
<tr class="separator:a56dddc40007686c17d42b5457a029a8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae094f7fe30faf4e737698301c79322ac"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#ae094f7fe30faf4e737698301c79322ac">HTTP_RESPONSE_ERROR_VALUE</a> = &quot;message&quot;</td></tr>
<tr class="memdesc:ae094f7fe30faf4e737698301c79322ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constant for HTTP 400 response json.  <a href="#ae094f7fe30faf4e737698301c79322ac">More...</a><br /></td></tr>
<tr class="separator:ae094f7fe30faf4e737698301c79322ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a337fd983c661bf457116bc8acd40a05b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a337fd983c661bf457116bc8acd40a05b">CAPABILITY_KEY_SEPARATOR</a> = &quot;.&quot;</td></tr>
<tr class="memdesc:a337fd983c661bf457116bc8acd40a05b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Separator between the components that make up a capability key.  <a href="#a337fd983c661bf457116bc8acd40a05b">More...</a><br /></td></tr>
<tr class="separator:a337fd983c661bf457116bc8acd40a05b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a815235f875151e62428c48700a489c40"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a815235f875151e62428c48700a489c40">HEADER_KEY_VALUE_SEPARATOR</a> = &quot;:&quot;</td></tr>
<tr class="memdesc:a815235f875151e62428c48700a489c40"><td class="mdescLeft">&#160;</td><td class="mdescRight">Separator between header key and value.  <a href="#a815235f875151e62428c48700a489c40">More...</a><br /></td></tr>
<tr class="separator:a815235f875151e62428c48700a489c40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63786baa6dc298293ad7909a313c15f5"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a63786baa6dc298293ad7909a313c15f5">DB_KEY_ENDPOINT</a> = &quot;endpoint:&quot;</td></tr>
<tr class="separator:a63786baa6dc298293ad7909a313c15f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cc9d5f1a49a0aef60f1c34fb49ca421"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a6cc9d5f1a49a0aef60f1c34fb49ca421">DB_KEY_CLIENT_ID</a> = &quot;clientId:&quot;</td></tr>
<tr class="memdesc:a6cc9d5f1a49a0aef60f1c34fb49ca421"><td class="mdescLeft">&#160;</td><td class="mdescRight">Client id key.  <a href="#a6cc9d5f1a49a0aef60f1c34fb49ca421">More...</a><br /></td></tr>
<tr class="separator:a6cc9d5f1a49a0aef60f1c34fb49ca421"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66718df053718ee32d11952fab559c60"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a66718df053718ee32d11952fab559c60">DB_KEY_PRODUCT_ID</a> = &quot;productId:&quot;</td></tr>
<tr class="memdesc:a66718df053718ee32d11952fab559c60"><td class="mdescLeft">&#160;</td><td class="mdescRight">Product id key.  <a href="#a66718df053718ee32d11952fab559c60">More...</a><br /></td></tr>
<tr class="separator:a66718df053718ee32d11952fab559c60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab85af06410ef3104c9fb4b9328ee0866"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#ab85af06410ef3104c9fb4b9328ee0866">DB_KEY_ENVELOPE_VERSION</a> = &quot;envelopeVersion:&quot;</td></tr>
<tr class="memdesc:ab85af06410ef3104c9fb4b9328ee0866"><td class="mdescLeft">&#160;</td><td class="mdescRight">Envelope version key.  <a href="#ab85af06410ef3104c9fb4b9328ee0866">More...</a><br /></td></tr>
<tr class="separator:ab85af06410ef3104c9fb4b9328ee0866"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f828a5a38afcb9d8a829448a7505fd0"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a2f828a5a38afcb9d8a829448a7505fd0">DB_KEY_DSN</a> = &quot;deviceSerialNumber:&quot;</td></tr>
<tr class="memdesc:a2f828a5a38afcb9d8a829448a7505fd0"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSN key.  <a href="#a2f828a5a38afcb9d8a829448a7505fd0">More...</a><br /></td></tr>
<tr class="separator:a2f828a5a38afcb9d8a829448a7505fd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af451dc8bf04d5225bfcb75227c259285"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#af451dc8bf04d5225bfcb75227c259285">DB_KEY_PUBLISH_MSG</a> = &quot;publishMsg:&quot;</td></tr>
<tr class="memdesc:af451dc8bf04d5225bfcb75227c259285"><td class="mdescLeft">&#160;</td><td class="mdescRight">Message key.  <a href="#af451dc8bf04d5225bfcb75227c259285">More...</a><br /></td></tr>
<tr class="separator:af451dc8bf04d5225bfcb75227c259285"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a294226318e7a05343a04ffad7ab176"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a2a294226318e7a05343a04ffad7ab176">DB_KEY_SEPARATOR</a> = &quot;,&quot;</td></tr>
<tr class="memdesc:a2a294226318e7a05343a04ffad7ab176"><td class="mdescLeft">&#160;</td><td class="mdescRight">Separator between keys.  <a href="#a2a294226318e7a05343a04ffad7ab176">More...</a><br /></td></tr>
<tr class="separator:a2a294226318e7a05343a04ffad7ab176"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1fe83c2a7abe4b04c2a802926296dfa"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#ab1fe83c2a7abe4b04c2a802926296dfa">CAPABILITY_MAP_REQUIRED_ENTRIES</a> = 3</td></tr>
<tr class="separator:ab1fe83c2a7abe4b04c2a802926296dfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6968e87da281f319f1551381d2f92793"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a6968e87da281f319f1551381d2f92793">CAPABILITY_MAP_MAXIMUM_ENTRIES</a> = 4</td></tr>
<tr class="memdesc:a6968e87da281f319f1551381d2f92793"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum number of entries in capability map.  <a href="#a6968e87da281f319f1551381d2f92793">More...</a><br /></td></tr>
<tr class="separator:a6968e87da281f319f1551381d2f92793"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8970b4d135a5917d3a36ccaa62f3b519"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a8970b4d135a5917d3a36ccaa62f3b519">COMPONENT_NAME</a> = &quot;dcfDelegate&quot;</td></tr>
<tr class="memdesc:a8970b4d135a5917d3a36ccaa62f3b519"><td class="mdescLeft">&#160;</td><td class="mdescRight">Component name needed for Misc DB.  <a href="#a8970b4d135a5917d3a36ccaa62f3b519">More...</a><br /></td></tr>
<tr class="separator:a8970b4d135a5917d3a36ccaa62f3b519"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf7e910006972f1eb3e5318697397c01"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#acf7e910006972f1eb3e5318697397c01">DCF_PUBLISH_TABLE</a> = &quot;dcfPublishMessage&quot;</td></tr>
<tr class="memdesc:acf7e910006972f1eb3e5318697397c01"><td class="mdescLeft">&#160;</td><td class="mdescRight">DCF Publish message table.  <a href="#acf7e910006972f1eb3e5318697397c01">More...</a><br /></td></tr>
<tr class="separator:acf7e910006972f1eb3e5318697397c01"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a8ae72ef3b5919588e7147a82c50730f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ae72ef3b5919588e7147a82c50730f5">&#9670;&nbsp;</a></span>capabilityMapFormCheckHelper()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::dcfDelegate::capabilityMapFormCheckHelper </td>
          <td>(</td>
          <td class="paramtype">const std::unordered_map&lt; std::string, std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>capabilityMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>findKey</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>errorEvent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>errorReasonKey</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>errorReasonValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Helper method for <a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html#a382c48a2861181b42ce4d400ec233cc1">isCapabilityMapCorrectlyFormed()</a> to check if a key is present, and its corresponding value is not empty.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">capabilityMap</td><td>The capability configuration map of a specific capability. </td></tr>
    <tr><td class="paramname">findKey</td><td>The key from capabilityMap that needs to be checked. </td></tr>
    <tr><td class="paramname">errorEvent</td><td>Log error event if checks fail. </td></tr>
    <tr><td class="paramname">errorReasonKey</td><td>Log error reason key if checks fail. </td></tr>
    <tr><td class="paramname">errorReasonValue</td><td>Log error reason value if checks fail. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if the checks pass, else false. </dd></dl>

</div>
</div>
<a id="a6700f4b689e6b36f64f9b9fa330885c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6700f4b689e6b36f64f9b9fa330885c0">&#9670;&nbsp;</a></span>getCapabilityInfoStringFromJson()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::dcfDelegate::getCapabilityInfoStringFromJson </td>
          <td>(</td>
          <td class="paramtype">const rapidjson::Value &amp;&#160;</td>
          <td class="paramname"><em>capabilityJson</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>jsonMemberKey</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get a capability info string from the capability json.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">capabilityJson</td><td>The capability json </td></tr>
    <tr><td class="paramname">jsonMemberKey</td><td>the member key in the json where the capability info can be found </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The capability info string if found, else "" ("" is ok as a return for errors because a null string itself is also an error) </dd></dl>

</div>
</div>
<a id="a89f09df38ecdb71cff8e886803377775"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89f09df38ecdb71cff8e886803377775">&#9670;&nbsp;</a></span>getCapabilityKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::dcfDelegate::getCapabilityKey </td>
          <td>(</td>
          <td class="paramtype">const std::unordered_map&lt; std::string, std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>capabilityMap</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Returns a key for a capability map, which is used as a key to store in the m_capabilityConfigs map. The key consists of the interface type and interface name.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">capabilityMap</td><td>The capability configuration map of a specific capability. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>a string that is basically &lt;interface type&gt;=""&gt;.&lt;interface name&gt;=""&gt; </dd></dl>

</div>
</div>
<a id="a56188a2bf538bcedc421e9cf61b3b1de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56188a2bf538bcedc421e9cf61b3b1de">&#9670;&nbsp;</a></span>getErrorMsgFromHttpResponse()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::dcfDelegate::getErrorMsgFromHttpResponse </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>httpResponse</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get the error message from HTTP response.</p>
<dl class="section return"><dt>Returns</dt><dd>The error message from the HTTP response if the json is valid, else "" </dd></dl>

</div>
</div>
<a id="a382c48a2861181b42ce4d400ec233cc1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a382c48a2861181b42ce4d400ec233cc1">&#9670;&nbsp;</a></span>isCapabilityMapCorrectlyFormed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::dcfDelegate::isCapabilityMapCorrectlyFormed </td>
          <td>(</td>
          <td class="paramtype">const std::unordered_map&lt; std::string, std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>capabilityMap</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Checks a capability map to see</p><ul>
<li>It has all of the required information (type, name, version)</li>
<li>If a configuration string is available, then it is a valid json</li>
<li>There is no other unexpected information Note that, the method will not check to see if the values themselves are valid.</li>
</ul>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">capabilityMap</td><td>The capability configuration map of a specific capability. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if all the checked conditions pass, else false. </dd></dl>
<p class="">interface type, name and version are the only entries that are required, and we have checked above that all of them exist. <br />
<br />
 the fourth entry (for CAPABILITY_INTERFACE_CONFIGURATIONS_KEY) is optional</p>
<p class="">check if the configuration values string is a valid json</p>
<p class="">interface type, name and version are the only entries that are required, and we have checked above that all of them exist. <br />
<br />
 the fourth entry (for CAPABILITY_INTERFACE_CONFIGURATIONS_KEY) is optional</p>
<p class="">check if the configuration values string is a valid json </p>

</div>
</div>
<a id="aa623a98f840ac0e490a3718bee827fcb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa623a98f840ac0e490a3718bee827fcb">&#9670;&nbsp;</a></span>logFailedSaveAndClearDCFPublishTable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::dcfDelegate::logFailedSaveAndClearDCFPublishTable </td>
          <td>(</td>
          <td class="paramtype">const std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html">MiscStorageInterface</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>miscStorage</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Helper method that will log a fail for saving DCF publish data to misc DB and then attempt to clear the table.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">miscStorage</td><td>The misc storage handler. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2604336776b10c40310fc2d9ba452c10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2604336776b10c40310fc2d9ba452c10">&#9670;&nbsp;</a></span>TAG()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::dcfDelegate::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;DCFDelegate&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ad34ed1f97c91f2dd205592f11c12005d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad34ed1f97c91f2dd205592f11c12005d">&#9670;&nbsp;</a></span>ACCEPT_HEADER_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::ACCEPT_HEADER_KEY = &quot;Accept&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Accept header key. </p>

</div>
</div>
<a id="a513af2722ad0475e8ab0dd9357fa467b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a513af2722ad0475e8ab0dd9357fa467b">&#9670;&nbsp;</a></span>AUTHORIZATION_HEADER_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::AUTHORIZATION_HEADER_KEY = &quot;x-amz-access-token&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Auth token header key. </p>

</div>
</div>
<a id="a56dddc40007686c17d42b5457a029a8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56dddc40007686c17d42b5457a029a8b">&#9670;&nbsp;</a></span>CAPABILITIES_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::CAPABILITIES_KEY = &quot;capabilities&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Capabilities key in message body. </p>

</div>
</div>
<a id="a337fd983c661bf457116bc8acd40a05b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a337fd983c661bf457116bc8acd40a05b">&#9670;&nbsp;</a></span>CAPABILITY_KEY_SEPARATOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::CAPABILITY_KEY_SEPARATOR = &quot;.&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Separator between the components that make up a capability key. </p>

</div>
</div>
<a id="a6968e87da281f319f1551381d2f92793"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6968e87da281f319f1551381d2f92793">&#9670;&nbsp;</a></span>CAPABILITY_MAP_MAXIMUM_ENTRIES</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const unsigned int alexaClientSDK::dcfDelegate::CAPABILITY_MAP_MAXIMUM_ENTRIES = 4</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Maximum number of entries in capability map. </p>

</div>
</div>
<a id="ab1fe83c2a7abe4b04c2a802926296dfa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1fe83c2a7abe4b04c2a802926296dfa">&#9670;&nbsp;</a></span>CAPABILITY_MAP_REQUIRED_ENTRIES</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const unsigned int alexaClientSDK::dcfDelegate::CAPABILITY_MAP_REQUIRED_ENTRIES = 3</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Constants for entries in the capability map Required number of entries in capability map </p>

</div>
</div>
<a id="a8970b4d135a5917d3a36ccaa62f3b519"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8970b4d135a5917d3a36ccaa62f3b519">&#9670;&nbsp;</a></span>COMPONENT_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::COMPONENT_NAME = &quot;dcfDelegate&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Component name needed for Misc DB. </p>

</div>
</div>
<a id="a4f686857fab05930f9cb3c69184767b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f686857fab05930f9cb3c69184767b6">&#9670;&nbsp;</a></span>CONFIG_KEY_DCF_DELEGATE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::CONFIG_KEY_DCF_DELEGATE = &quot;dcfDelegate&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of <code>ConfigurationNode</code> for <a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">DCFDelegate</a>. </p>

</div>
</div>
<a id="a213ed6482aac1444fab52837c9cb48d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a213ed6482aac1444fab52837c9cb48d3">&#9670;&nbsp;</a></span>CONFIG_KEY_DCF_ENDPOINT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::CONFIG_KEY_DCF_ENDPOINT = &quot;endpoint&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of endpoint value in <a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">DCFDelegate</a>'s <code>ConfigurationNode</code>. </p>

</div>
</div>
<a id="a469112c8973cee65d54e880e165d8df3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a469112c8973cee65d54e880e165d8df3">&#9670;&nbsp;</a></span>CONFIG_KEY_OVERRIDE_DCF_REQUEST_BODY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::CONFIG_KEY_OVERRIDE_DCF_REQUEST_BODY = &quot;overridenDcfPublishMessageBody&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of overridenDcfPublishMessageBody value in <a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">DCFDelegate</a>'s <code>ConfigurationNode</code>. </p>

</div>
</div>
<a id="a9387bdfa4127f0d4953bc853eca4769f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9387bdfa4127f0d4953bc853eca4769f">&#9670;&nbsp;</a></span>CONTENT_LENGTH_HEADER_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::CONTENT_LENGTH_HEADER_KEY = &quot;Content-Length&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Content length header key. </p>

</div>
</div>
<a id="a627156679d13fee6ea2af70105a7a46b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a627156679d13fee6ea2af70105a7a46b">&#9670;&nbsp;</a></span>CONTENT_TYPE_HEADER_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::CONTENT_TYPE_HEADER_KEY = &quot;Content-Type&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Constants for the DCF publish message json Content type header key </p>

</div>
</div>
<a id="afd099d2a444c98d02cc57ffde763a161"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd099d2a444c98d02cc57ffde763a161">&#9670;&nbsp;</a></span>CONTENT_TYPE_HEADER_VALUE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::CONTENT_TYPE_HEADER_VALUE = &quot;application/json&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Content type header value. </p>

</div>
</div>
<a id="a6cc9d5f1a49a0aef60f1c34fb49ca421"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6cc9d5f1a49a0aef60f1c34fb49ca421">&#9670;&nbsp;</a></span>DB_KEY_CLIENT_ID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::DB_KEY_CLIENT_ID = &quot;clientId:&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Client id key. </p>

</div>
</div>
<a id="a2f828a5a38afcb9d8a829448a7505fd0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f828a5a38afcb9d8a829448a7505fd0">&#9670;&nbsp;</a></span>DB_KEY_DSN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::DB_KEY_DSN = &quot;deviceSerialNumber:&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>DSN key. </p>

</div>
</div>
<a id="a63786baa6dc298293ad7909a313c15f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63786baa6dc298293ad7909a313c15f5">&#9670;&nbsp;</a></span>DB_KEY_ENDPOINT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::DB_KEY_ENDPOINT = &quot;endpoint:&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Constants for prefixes for DB storage Endpoint key </p>

</div>
</div>
<a id="ab85af06410ef3104c9fb4b9328ee0866"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab85af06410ef3104c9fb4b9328ee0866">&#9670;&nbsp;</a></span>DB_KEY_ENVELOPE_VERSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::DB_KEY_ENVELOPE_VERSION = &quot;envelopeVersion:&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Envelope version key. </p>

</div>
</div>
<a id="a66718df053718ee32d11952fab559c60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66718df053718ee32d11952fab559c60">&#9670;&nbsp;</a></span>DB_KEY_PRODUCT_ID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::DB_KEY_PRODUCT_ID = &quot;productId:&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Product id key. </p>

</div>
</div>
<a id="af451dc8bf04d5225bfcb75227c259285"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af451dc8bf04d5225bfcb75227c259285">&#9670;&nbsp;</a></span>DB_KEY_PUBLISH_MSG</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::DB_KEY_PUBLISH_MSG = &quot;publishMsg:&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Message key. </p>

</div>
</div>
<a id="a2a294226318e7a05343a04ffad7ab176"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a294226318e7a05343a04ffad7ab176">&#9670;&nbsp;</a></span>DB_KEY_SEPARATOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::DB_KEY_SEPARATOR = &quot;,&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Separator between keys. </p>

</div>
</div>
<a id="acf7e910006972f1eb3e5318697397c01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf7e910006972f1eb3e5318697397c01">&#9670;&nbsp;</a></span>DCF_PUBLISH_TABLE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::DCF_PUBLISH_TABLE = &quot;dcfPublishMessage&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>DCF Publish message table. </p>

</div>
</div>
<a id="a8ee1e0aee4b08dbde8041385e7127458"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ee1e0aee4b08dbde8041385e7127458">&#9670;&nbsp;</a></span>DCF_URL_POST_DEVICE_SUFFIX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::DCF_URL_POST_DEVICE_SUFFIX = &quot;/capabilities&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Suffix after the device's place in the URL. </p>

</div>
</div>
<a id="a2d6aec09580429c18b627cfca7091dba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d6aec09580429c18b627cfca7091dba">&#9670;&nbsp;</a></span>DCF_URL_PRE_DEVICE_SUFFIX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::DCF_URL_PRE_DEVICE_SUFFIX = &quot;/v1/devices/&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Suffix before the device's place in the URL. </p>

</div>
</div>
<a id="a90442f943c187b55d3b0c294db60972d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90442f943c187b55d3b0c294db60972d">&#9670;&nbsp;</a></span>DEFAULT_DCF_ENDPOINT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::DEFAULT_DCF_ENDPOINT = &quot;https://api.amazonalexa.com&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Constituents of the DCF URL DCF endpoint </p>

</div>
</div>
<a id="ae4a15b7df3c85809241499043ebc4111"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4a15b7df3c85809241499043ebc4111">&#9670;&nbsp;</a></span>ENVELOPE_VERSION_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::ENVELOPE_VERSION_KEY = &quot;envelopeVersion&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Envelope version key in message body. </p>

</div>
</div>
<a id="a9a043a7cf7bcbfd108feac60b196801a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a043a7cf7bcbfd108feac60b196801a">&#9670;&nbsp;</a></span>ENVELOPE_VERSION_VALUE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::ENVELOPE_VERSION_VALUE = &quot;20160207&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Envelope version value in message body. </p>

</div>
</div>
<a id="a3a2d474e0510876a493637087ca6421d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a2d474e0510876a493637087ca6421d">&#9670;&nbsp;</a></span>EXPECT_HEADER_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::EXPECT_HEADER_KEY = &quot;Expect&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Expect header key. </p>

</div>
</div>
<a id="a815235f875151e62428c48700a489c40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a815235f875151e62428c48700a489c40">&#9670;&nbsp;</a></span>HEADER_KEY_VALUE_SEPARATOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::HEADER_KEY_VALUE_SEPARATOR = &quot;:&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Separator between header key and value. </p>

</div>
</div>
<a id="ae094f7fe30faf4e737698301c79322ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae094f7fe30faf4e737698301c79322ac">&#9670;&nbsp;</a></span>HTTP_RESPONSE_ERROR_VALUE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::HTTP_RESPONSE_ERROR_VALUE = &quot;message&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constant for HTTP 400 response json. </p>

</div>
</div>
<a id="a5b159e580ff5e97ea30aae0f73e749d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b159e580ff5e97ea30aae0f73e749d2">&#9670;&nbsp;</a></span>SELF_DEVICE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::dcfDelegate::SELF_DEVICE = &quot;@self&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Device ID for the device that will show up in the URL. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.7.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
